---
title: points-all-production-domains-for-a-project-to-the-given-deploy-1
product: vercel
url: /docs/rest-api/projects/points-all-production-domains-for-a-project-to-the-given-deploy-1
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about points-all-production-domains-for-a-project-to-the-given-deploy-1 on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Points all production domains for a project to the given deploy

```http
POST /v10/projects/{projectId}/promote/{deploymentId}
```

Allows users to promote a deployment to production. Note: This does NOT rebuild the deployment. If you need that, then call create-deployments endpoint.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `deploymentId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 201: No description

### 202: No description

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 409: No description

---

## Related

- [projects endpoints](/docs/rest-api#projects)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
